Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# Deployment::NodeApplication Interface Reference

`import "Deployment_Core.idl";`

Inheritance diagram for Deployment::NodeApplication:

[legend]
Collaboration diagram for Deployment::NodeApplication:

[legend]
List of all members.

## Public Member Functions
long | init ()
ComponentInfos | install (in NodeImplementationInfo node_impl_info) raises (UnknownImplId, ImplEntryPointNotFound, InstallationFailure, ::Components::InvalidConfiguration, ::Components::RemoveFailure)
Object | get_node_application_manager ()
Container | create_container (in::Deployment::Properties properties) raises (::Components::CreateFailure, ::Components::InvalidConfiguration)
void | remove_container (in Container cref) raises (::Components::RemoveFailure)
Containers | get_containers ()
oneway void | remove ()
void | ciao_preactivate () raises (StartError)
void | ciao_postactivate () raises (StartError)
void | ciao_passivate () raises (StopError)
## Public Attributes
readonly attribute::Deployment::Properties | properties

## Member Function Documentation

void Deployment::NodeApplication::ciao_passivate | ( |  | ) | raises (StopError)

void Deployment::NodeApplication::ciao_postactivate | ( |  | ) | raises (StartError)

void Deployment::NodeApplication::ciao_preactivate | ( |  | ) | raises (StartError)

| CIAO specific extensions. This will enforce the component to be activated (preactivate, activate, postactivated) before the assembly is established

Container Deployment::NodeApplication::create_container | ( | in::Deployment::Properties | properties | ) | raises (::Components::CreateFailure, ::Components::InvalidConfiguration)

Containers Deployment::NodeApplication::get_containers | ( |  | ) |

Object Deployment::NodeApplication::get_node_application_manager | ( |  | ) |

| @ We know that Dployment::NodeApplicationManager will be returned, however to avoid the size of the shared object of CIAO_Server. we return an Object.

long Deployment::NodeApplication::init | ( |  | ) |

| @ Initialize the nodeapplication, so it will know what components it will create and home many of them are there. However the real create action will take place when start launch is called on NodeApplicationManager.

ComponentInfos Deployment::NodeApplication::install | ( | in NodeImplementationInfo | node_impl_info | ) | raises (UnknownImplId, ImplEntryPointNotFound, InstallationFailure, ::Components::InvalidConfiguration, ::Components::RemoveFailure)

| @ This operation will be called by NodeApplicationManager client to really start to create homes and components.

oneway void Deployment::NodeApplication::remove | ( |  | ) |

| Remove all containers, components and component homes. Shuts down the ORB of the NodeApplication to terminate the process.

void Deployment::NodeApplication::remove_container | ( | in Container | cref | ) | raises (::Components::RemoveFailure)

## Member Data Documentation

readonly attribute ::Deployment::Properties Deployment::NodeApplication::properties

The documentation for this interface was generated from the following file:

- Deployment_Core.idl